## qownnotes-dmo 25.10.4

=== src/libraries/sonnet/src/plugins/aspell/CMakeLists.txt ===
include_directories(${ASPELL_INCLUDE_DIR})

# ########## next target ###############

set(sonnet_aspell_PART_SRCS aspellclient.cpp aspelldict.cpp)
ecm_qt_declare_logging_category(
  sonnet_aspell_PART_SRCS
  HEADER
  aspell_debug.h
  IDENTIFIER
  SONNET_LOG_ASPELL
  CATEGORY_NAME
  sonnet.plugins.aspell)

add_library(sonnet_aspell MODULE ${sonnet_aspell_PART_SRCS})

target_link_libraries(sonnet_aspell PRIVATE KF5::SonnetCore ${ASPELL_LIBRARIES})

install(TARGETS sonnet_aspell DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/sonnet/)

## qownnotes-dmo 25.7.7

=== debian/changelog ===
qownnotes-dmo (25.7.7-dmo2) unstable; urgency=medium

  * Add libcups2-dev to Build-Depends.
  * Disable ccache detection. Should work out of the box without ccache
    detection and don't break the build if distcc is used.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Jul 2025 07:53:32 +0200

qownnotes-dmo (25.7.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Jul 2025 06:58:34 +0200

qownnotes-dmo (25.7.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jul 2025 08:46:05 +0200

qownnotes-dmo (25.7.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Jul 2025 06:23:55 +0200

qownnotes-dmo (25.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Jul 2025 06:15:15 +0200

qownnotes-dmo (25.6.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Jun 2025 23:41:55 +0200

qownnotes-dmo (25.6.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Jun 2025 06:45:04 +0200

qownnotes-dmo (25.6.2-dmo2) unstable; urgency=medium

  * Remove unneeded libbotan-2-dev from Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Jun 2025 15:47:39 +0200

qownnotes-dmo (25.6.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Jun 2025 08:44:04 +0200

qownnotes-dmo (25.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jun 2025 08:42:10 +0200

qownnotes-dmo (25.5.8-dmo1) unstable; urgency=medium

  * New upstream release.
  * Should Depends on libqt6sql6-sqlite

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 May 2025 09:19:45 +0200

qownnotes-dmo (25.5.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 May 2025 07:59:23 +0200

qownnotes-dmo (25.5.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 May 2025 07:55:26 +0200

qownnotes-dmo (25.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 05 May 2025 08:41:02 +0200

qownnotes-dmo (25.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 May 2025 23:40:52 +0200

qownnotes-dmo (25.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 May 2025 08:57:18 +0200

qownnotes-dmo (25.4.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Apr 2025 14:19:25 +0200

qownnotes-dmo (25.4.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 19 Apr 2025 17:40:11 +0200

qownnotes-dmo (25.4.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Apr 2025 15:47:21 +0200

qownnotes-dmo (25.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 12 Apr 2025 09:32:20 +0200

qownnotes-dmo (25.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Apr 2025 08:16:57 +0200

qownnotes-dmo (25.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 03 Apr 2025 09:27:55 +0200

qownnotes-dmo (25.3.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 Mar 2025 09:43:18 +0200

qownnotes-dmo (25.3.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Mar 2025 15:15:41 +0100

qownnotes-dmo (25.3.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 14 Mar 2025 08:28:43 +0100

qownnotes-dmo (25.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Mar 2025 07:54:07 +0100

qownnotes-dmo (25.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Mar 2025 20:31:41 +0100

qownnotes-dmo (25.2.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Mar 2025 11:47:11 +0100

qownnotes-dmo (25.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Feb 2025 08:12:24 +0100

qownnotes-dmo (25.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 14 Feb 2025 09:37:25 +0100

qownnotes-dmo (25.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Feb 2025 12:53:22 +0100

qownnotes-dmo (25.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Feb 2025 15:22:42 +0100

qownnotes-dmo (25.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Feb 2025 08:42:55 +0100

qownnotes-dmo (25.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Feb 2025 08:36:04 +0100

qownnotes-dmo (25.2.0-dmo1) unstable; urgency=medium



=== debian/control ===
Source: qownnotes-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.qownnotes.org/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-tools-dev,
 qt6-declarative-dev, qt6-svg-dev, libxkbcommon-dev, pkgconf, ninja-build,
 qt6-websockets-dev (>= 6.7.2~), qt6-base-private-abi (>= 6.8.2), quilt,
 libbotan-3-dev, libgit2-dev, libcups2-dev,

Package: qownnotes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qt6-svg-plugins, libqt6sql6-sqlite,
Recommends: qownnotes-l10n,
Description: note-taking utility in Qt
 The open source notepad with Markdown support and todo list manager for
 GNU/Linux, macOS and Windows, that works together with Nextcloud Notes and
 ownCloud Notes.
 .
 You are able to write down your thoughts with QOwnNotes and edit or search
 for them later from your mobile device, like with Nextcloud Notes for
 Android or the Nextcloud / ownCloud web-service.
 .
 The notes are stored as plain text markdown files and are synced with
 Nextcloud's/ownCloud's file sync functionality.  Of course other software,
 like Syncthing or Dropbox can be used too.
 .
 If you like the concept of having notes accessible in plain text files,
 like it is done in the Nextcloud / ownCloud notes apps to gain a maximum of
 freedom then QOwnNotes is for you.

Package: qownnotes-l10n
Architecture: all
Replaces: qownnotes (<< 24.8.2-dmo1),
Breaks: qownnotes (<< 24.8.2-dmo1),
Depends: ${misc:Depends},
Description: note-taking utility in Qt
 The open source notepad with Markdown support and todo list manager for
 GNU/Linux, macOS and Windows, that works together with Nextcloud Notes and
 ownCloud Notes.
 .
 You are able to write down your thoughts with QOwnNotes and edit or search
 for them later from your mobile device, like with Nextcloud Notes for
 Android or the Nextcloud / ownCloud web-service.
 .
 The notes are stored as plain text markdown files and are synced with
 Nextcloud's/ownCloud's file sync functionality.  Of course other software,
 like Syncthing or Dropbox can be used too.
 .
 If you like the concept of having notes accessible in plain text files,
 like it is done in the Nextcloud / ownCloud notes apps to gain a maximum of
 freedom then QOwnNotes is for you.
 .
 This package contains translation files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND=-Wno-error=date-time

%:
	dh $@ -Scmake+ninja -Dsrc --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DQON_QT6_BUILD=ON \
	-DBUILD_WITH_LIBGIT2=ON \
	-DBUILD_WITH_SYSTEM_BOTAN=ON

#	exit 1

# As 01/09/2024 "-DBUILD_TESTS=ON" is Only for Qt5
override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/pbek/QOwnNotes/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## qownnotes-dmo 25.10.1

=== debian/changelog ===
qownnotes-dmo (25.10.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Oct 2025 09:04:49 +0200

qownnotes-dmo (25.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Oct 2025 08:26:39 +0200

qownnotes-dmo (25.9.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Sep 2025 07:22:07 +0200

qownnotes-dmo (25.9.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Sep 2025 14:04:53 +0200

qownnotes-dmo (25.9.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Sep 2025 08:41:44 +0200

qownnotes-dmo (25.9.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Sep 2025 07:36:39 +0200

qownnotes-dmo (25.8.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Aug 2025 08:55:34 +0200

qownnotes-dmo (25.8.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 20 Aug 2025 07:38:17 +0200

qownnotes-dmo (25.8.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Aug 2025 09:02:19 +0200

## qownnotes-dmo 25.10.3

=== debian/changelog ===
qownnotes-dmo (25.10.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Oct 2025 08:42:43 +0200

## qownnotes-dmo 25.10.4

=== debian/changelog ===
qownnotes-dmo (25.10.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Oct 2025 08:53:19 +0200

## qownnotes-dmo 25.11.0

=== debian/changelog ===
qownnotes-dmo (25.11.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 03 Nov 2025 08:38:29 +0100

## qownnotes-dmo 25.11.1

=== debian/changelog ===
qownnotes-dmo (25.11.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Nov 2025 15:42:14 +0100

## qownnotes-dmo 25.11.2

=== debian/changelog ===
qownnotes-dmo (25.11.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Nov 2025 13:17:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-tools-dev,
  qt6-declarative-dev, qt6-svg-dev, libxkbcommon-dev, pkgconf, ninja-build,
- qt6-websockets-dev (>= 6.7.2~), qt6-base-private-abi (>= 6.8.2), quilt,
+ qt6-websockets-dev (>= 6.9.2~), qt6-base-private-abi (>= 6.9.2), quilt,
  libbotan-3-dev, libgit2-dev, libcups2-dev,
 
 Package: qownnotes

## qownnotes-dmo 25.11.3

=== debian/changelog ===
qownnotes-dmo (25.11.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Nov 2025 16:21:39 +0100

## qownnotes-dmo 25.11.4

=== debian/changelog ===
qownnotes-dmo (25.11.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Nov 2025 10:18:16 +0100

## qownnotes-dmo 25.11.5

=== debian/changelog ===
qownnotes-dmo (25.11.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 Nov 2025 09:18:49 +0100

## qownnotes-dmo 25.12.0

=== debian/changelog ===
qownnotes-dmo (25.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Dec 2025 10:26:46 +0100

## qownnotes-dmo 25.12.4

=== debian/changelog ===
qownnotes-dmo (25.12.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Dec 2025 09:30:33 +0100

## qownnotes-dmo 25.12.5

=== debian/changelog ===
qownnotes-dmo (25.12.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 10 Dec 2025 08:59:45 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-tools-dev,
  qt6-declarative-dev, qt6-svg-dev, libxkbcommon-dev, pkgconf, ninja-build,
  qt6-websockets-dev (>= 6.9.2~), qt6-base-private-abi (>= 6.9.2), quilt,
- libbotan-3-dev, libgit2-dev, libcups2-dev,
+ libbotan-3-dev (>= 3.10.0~), libgit2-dev, libcups2-dev,
 
 Package: qownnotes
 Architecture: any

## qownnotes-dmo 25.12.7

=== debian/changelog ===
qownnotes-dmo (25.12.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Dec 2025 10:46:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.qownnotes.org/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-tools-dev,
  qt6-declarative-dev, qt6-svg-dev, libxkbcommon-dev, pkgconf, ninja-build,
  qt6-websockets-dev (>= 6.9.2~), qt6-base-private-abi (>= 6.9.2), quilt,

## qownnotes-dmo 26.1.2

=== debian/changelog ===
qownnotes-dmo (26.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Jan 2026 09:18:18 +0100

## qownnotes-dmo 26.1.5

=== debian/changelog ===
qownnotes-dmo (26.1.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Jan 2026 15:15:18 +0100

## qownnotes-dmo 26.1.9

=== debian/changelog ===
qownnotes-dmo (26.1.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Jan 2026 08:02:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qownnotes-dmo
 Section: utils
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.qownnotes.org/

## qownnotes-dmo 26.1.12

=== debian/changelog ===
qownnotes-dmo (26.1.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 27 Jan 2026 16:12:35 +0100

## qownnotes-dmo 26.1.13

=== debian/changelog ===
qownnotes-dmo (26.1.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Jan 2026 09:51:54 +0100

## qownnotes-dmo 26.1.14

=== debian/changelog ===
qownnotes-dmo (26.1.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Jan 2026 08:33:59 +0100

## qownnotes-dmo 26.1.15

=== debian/changelog ===
qownnotes-dmo (26.1.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Jan 2026 08:42:06 +0100

## qownnotes-dmo 26.2.0

=== debian/changelog ===
qownnotes-dmo (26.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Feb 2026 11:37:43 +0100

## qownnotes-dmo 26.2.4

=== debian/changelog ===
qownnotes-dmo (26.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Feb 2026 10:15:50 +0100

## qownnotes-dmo 26.2.6

=== debian/changelog ===
qownnotes-dmo (26.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Feb 2026 14:56:54 +0100

## qownnotes-dmo 26.2.7

=== debian/changelog ===
qownnotes-dmo (26.2.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Feb 2026 07:54:04 +0100

## qownnotes-dmo 26.2.8

=== debian/changelog ===
qownnotes-dmo (26.2.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Feb 2026 08:22:54 +0100

## qownnotes-dmo 26.2.10

=== src/libraries/qlitehtml/src/CMakeLists.txt ===
# set the following variables before adding as subdirectory into a project
# QLITEHTML_BIN_PATH - relative install path for result DLLs
# QLITEHTML_LIBRARY_PATH - relative install path for result dynamic libraries
# QLITEHTML_LIBRARY_ARCHIVE_PATH - relative install path for result archives
# (.lib, static lib), defaults to QLITEHTML_LIBRARY_PATH QLITEHTML_EXPORT -
# export name for qlitehtml QLITEHTML_DEVEL_COMPONENT - component name for
# development installation QLITEHTML_DEVEL_EXCLUDE_FROM_ALL - if development
# component should not be installed by default QLITEHTML_HEADER_PATH - relative
# install path for development headers QLITEHTML_LIBRARY_TYPE - SHARED or
# STATIC, defaults to SHARED
set(QLITEHTML_VERSION ${PROJECT_VERSION})
set(QLITEHTML_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(QLITEHTML_VERSION_COMPAT
    ${QLITEHTML_VERSION}
    CACHE STRING "qlitehtml compat version number.")

find_package(litehtml QUIET)
message("Trying to find " litehtml)
if(NOT TARGET litehtml
   AND EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/litehtml/CMakeLists.txt)
  set(ORIG_FPIC ${CMAKE_POSITION_INDEPENDENT_CODE})
  set(ORIG_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})
  if(WIN32)
    set(LITEHTML_UTF8
        ON
        CACHE BOOL "")
  endif()
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
  set(BUILD_SHARED_LIBS OFF)

  message("Adding 3rdparty/litehtml")
  add_subdirectory(3rdparty/litehtml EXCLUDE_FROM_ALL)

  set(CMAKE_POSITION_INDEPENDENT_CODE "${ORIG_FPIC}")
  set(BUILD_SHARED_LIBS ${ORIG_BUILD_SHARED_LIBS})
  # force optimized litehtml even in debug
  if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    # except for windows
    if(NOT WIN32)
      target_compile_options(gumbo PRIVATE -O2)
      target_compile_options(litehtml PRIVATE -O2)
    endif()
  endif()
endif()

# TODO error if litehtml was not found?

if(TARGET litehtml)
  set(PUBLIC_HEADERS
      element_checkbox.h
      element_checkbox.cpp
      container_qpainter.h
      container_qpainter_p.h
      qlitehtml_global.h
      qlitehtmlwidget.h
      qlitehtmlsearchwidget.h)
  set(QLITEHTML_SOURCES container_qpainter.cpp qlitehtmlwidget.cpp
                        qlitehtmlsearchwidget.cpp qlitehtmlsearchwidget.ui)
  if(NOT QLITEHTML_LIBRARY_TYPE)
    set(QLITEHTML_LIBRARY_TYPE SHARED)
  endif()
  if(NOT QLITEHTML_LIBRARY_ARCHIVE_PATH)
    set(QLITEHTML_LIBRARY_ARCHIVE_PATH "${QLITEHTML_LIBRARY_PATH}")
  endif()

  add_library(qlitehtml ${QLITEHTML_LIBRARY_TYPE} ${PUBLIC_HEADERS}
                        ${QLITEHTML_SOURCES})

  target_include_directories(
    qlitehtml PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
  target_link_libraries(
    qlitehtml
    PUBLIC Qt${QT_VERSION_MAJOR}::Widgets
    PRIVATE litehtml)
  target_compile_definitions(
    qlitehtml PRIVATE QT_NO_JAVA_STYLE_ITERATORS QT_NO_CAST_TO_ASCII
                      QT_RESTRICTED_CAST_FROM_ASCII QT_USE_QSTRINGBUILDER)
  if("${QLITEHTML_LIBRARY_TYPE}" STREQUAL "SHARED")
    target_compile_definitions(qlitehtml PRIVATE QLITEHTML_LIBRARY)
  else()
    target_compile_definitions(qlitehtml PUBLIC QLITEHTML_STATIC_LIBRARY)
  endif()
  if(WIN32)
    target_compile_definitions(qlitehtml PRIVATE UNICODE _UNICODE
                                                 _CRT_SECURE_NO_WARNINGS)
    if(NOT BUILD_WITH_PCH)
      # Windows 8 0x0602
      target_compile_definitions(
        qlitehtml PRIVATE WINVER=0x0602 _WIN32_WINNT=0x0602 WIN32_LEAN_AND_MEAN)
    endif()
  endif()

  set_target_properties(
    qlitehtml
    PROPERTIES SOURCES_DIR "${CMAKE_CURRENT_SOURCE_DIR}"
               VERSION "${QLITEHTML_VERSION}"
               SOVERSION "${QLITEHTML_VERSION_MAJOR}"
               MACHO_CURRENT_VERSION "${QLITEHTML_VERSION}"
               MACHO_COMPATIBILITY_VERSION "${QLITEHTML_VERSION_COMPAT}"
               CXX_EXTENSIONS OFF
               CXX_VISIBILITY_PRESET hidden
               VISIBILITY_INLINES_HIDDEN ON
               POSITION_INDEPENDENT_CODE ON)

  if(WIN32)
    set_target_properties(
      qlitehtml
      PROPERTIES
        SUFFIX
        "${QLITEHTML_VERSION_MAJOR}${CMAKE_${QLITEHTML_LIBRARY_TYPE}_LIBRARY_SUFFIX}"
        PREFIX ""
        IMPORT_SUFFIX "${QLITEHTML_VERSION_MAJOR}${CMAKE_IMPORT_LIBRARY_SUFFIX}"
        IMPORT_PREFIX "")
  endif()

  if(DEFINED QLITEHTML_BIN_PATH AND DEFINED QLITEHTML_LIBRARY_PATH)
    set(_EXPORT)
    if(DEFINED QLITEHTML_EXPORT)
      set(_EXPORT EXPORT ${QLITEHTML_EXPORT})
      add_library(${QLITEHTML_EXPORT}::qlitehtml ALIAS qlitehtml)
    endif()

    set(_DEVEL_COMPONENT)
    set(_NAMELINK)
    if(DEFINED QLITEHTML_DEVEL_COMPONENT)
      set(_EXCLUDE)
      if(QLITEHTML_DEVEL_EXCLUDE_FROM_ALL)
        set(_EXCLUDE EXCLUDE_FROM_ALL)
      endif()
      set(_DEVEL_COMPONENT COMPONENT ${QLITEHTML_DEVEL_COMPONENT} ${_EXCLUDE})
      set(_NAMELINK NAMELINK_SKIP)
      install(TARGETS qlitehtml LIBRARY DESTINATION "${QLITEHTML_LIBRARY_PATH}"
                                        NAMELINK_ONLY ${_DEVEL_COMPONENT})
      if(DEFINED QLITEHTML_HEADER_PATH)
        install(
          FILES ${PUBLIC_HEADERS}
          DESTINATION ${QLITEHTML_HEADER_PATH}
          ${_DEVEL_COMPONENT})
        target_include_directories(
          qlitehtml PUBLIC $<INSTALL_INTERFACE:${QLITEHTML_HEADER_PATH}>)
      endif()
    endif()

    install(
      TARGETS qlitehtml ${_EXPORT}
      RUNTIME DESTINATION "${QLITEHTML_BIN_PATH}" OPTIONAL
      LIBRARY DESTINATION "${QLITEHTML_LIBRARY_PATH}" ${_NAMELINK} OPTIONAL
      OBJECTS DESTINATION "${QLITEHTML_LIBRARY_PATH}" ${_DEVEL_COMPONENT}
                                                      OPTIONAL
      ARCHIVE DESTINATION "${QLITEHTML_LIBRARY_ARCHIVE_PATH}"
              ${_DEVEL_COMPONENT} OPTIONAL)
  endif()

endif()

=== debian/changelog ===
qownnotes-dmo (26.2.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Feb 2026 08:10:17 +0100

## qownnotes-dmo 26.2.15

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(QOwnNotes)
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# BEGIN options
option(QON_QT6_BUILD "Build QOwnNotes with Qt6" OFF)
option(DEV_MODE "Build QOwnNotes in developer mode" OFF)

option(BUILD_WITH_LIBGIT2 "Build using system installed libgit2 library" OFF)
option(BUILD_WITH_ASPELL "Build with aspell support" OFF)
# END options

if(QON_QT6_BUILD)
  set(QT_VERSION_MAJOR 6)
  set(QT_DEFAULT_MAJOR_VERSION 6)
else()
  set(QT_VERSION_MAJOR 5)
endif()

# put the QOwnNotes.exe in build directory
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

# for intellisence
set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE)

# include some Botan settings
add_subdirectory(libraries/botan)
# include sonnet core directory, required for building plugins
include_directories(libraries/sonnet/src/core)
# some hunspell settings for windows
include(libraries/sonnet/src/plugins/hunspell/hunspell/CMakeLists.txt)

if(BUILD_WITH_LIBGIT2)
  # Find libgit2
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(LIBGIT2 REQUIRED libgit2)

  if(NOT LIBGIT2_FOUND)
    message(
      FATAL_ERROR "libgit2 was not found. Please install libgit2-dev or the "
                  "appropriate package for your system.")
  endif()

  include_directories(${LIBGIT2_INCLUDE_DIRS})
  link_directories(${LIBGIT2_LIBRARY_DIRS})
endif()

if(BUILD_WITH_ASPELL)
  find_path(ASPELL_INCLUDE_DIR aspell.h)
  find_library(ASPELL_LIBRARIES aspell)
  if(NOT ASPELL_INCLUDE_DIR OR NOT ASPELL_LIBRARIES)
    message(
      FATAL_ERROR
        "aspell library or headers not found. Please install aspell-devel "
        "or libaspell-dev.")
  endif()
  include_directories(${ASPELL_INCLUDE_DIR})
endif()

add_executable(QOwnNotes "")

if(BUILD_WITH_LIBGIT2)
  target_compile_definitions(QOwnNotes PUBLIC USE_LIBGIT2)
  target_link_libraries(QOwnNotes PRIVATE ${LIBGIT2_LIBRARIES})
endif()

if(BUILD_WITH_ASPELL)
  target_compile_definitions(QOwnNotes PUBLIC ASPELL_ENABLED)
  target_link_libraries(QOwnNotes PRIVATE ${ASPELL_LIBRARIES})
endif()

if(CMAKE_BUILD_TYPE MATCHES Debug)
  message("Debug build configuration detected")
  add_definitions(-DQT_DEBUG)
else()
  message("Non-debug build configuration detected")
endif()

set_target_properties(
  QOwnNotes
  PROPERTIES CXX_STANDARD 11
             CXX_STANDARD_REQUIRED ON
             AUTOMOC ON
             AUTOUIC ON
             AUTORCC ON)

if(UNIX AND DEV_MODE)
  if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    target_compile_options(
      QOwnNotes
      PRIVATE -Wall -Wextra -pedantic -Wno-gnu-zero-variadic-macro-arguments
              -Wno-error=deprecated-declarations)
  else()
    target_compile_options(QOwnNotes PRIVATE -Wall -Wextra -pedantic
                                             -Wno-error=deprecated-declarations)
  endif()

  # enable werror on linux
  if(NOT APPLE)
    message("Werror enabled on linux")
    target_compile_options(QOwnNotes PRIVATE -Werror)
  endif()
endif()

target_include_directories(QOwnNotes PRIVATE ${CMAKE_CURRENT_LIST_DIR}
                                             ${CMAKE_CURRENT_BINARY_DIR})

# Disable shared library building of libraries
set(BUILD_SHARED_LIBS OFF)
# QHotKey library Disable building tests inside QHotKey library
set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
set(QHOTKEY_EXAMPLES OFF)
add_subdirectory(libraries/qhotkey EXCLUDE_FROM_ALL)

# FakeVim library
set(CREATE_STATIC_LIBRARY ON)
if(MSVC)
  add_compile_definitions(FAKEVIM_STATIC_DEFINE QTCREATOR_UTILS_STATIC_LIB)
endif()
add_subdirectory(libraries/fakevim EXCLUDE_FROM_ALL)
add_subdirectory(libraries/diff_match_patch EXCLUDE_FROM_ALL)

option(USE_QLITEHTML "Build using QLiteHtml for preview" OFF)
if(USE_QLITEHTML)
  add_definitions(-DUSE_QLITEHTML=1)
  add_subdirectory(libraries/qlitehtml EXCLUDE_FROM_ALL)
endif()

message("Using Qt version ${QT_VERSION_MAJOR}")
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

find_package(
  Qt${QT_VERSION_MAJOR}
  COMPONENTS
  REQUIRED
  LinguistTools
  Core
  Widgets
  Gui
  Sql
  Svg
  Network
  Xml
  PrintSupport
  WebSockets
  Qml
  Concurrent)

find_program(CCACHE_FOUND ccache)

if(CCACHE_FOUND)
  message(STATUS "ccache found")
  set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
  set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
endif(CCACHE_FOUND)

set(RESOURCE_FILES
    breeze-qownnotes.qrc
    breeze-dark-qownnotes.qrc
    qownnotes.qrc
    demonotes.qrc
    images.qrc
    texts.qrc
    configurations.qrc
    libraries/qmarkdowntextedit/media.qrc
    libraries/qdarkstyle/style.qrc
    libraries/qkeysequencewidget/qkeysequencewidget/qkeysequencewidget.qrc)

set(SOURCE_FILES
    dialogs/welcomedialog.cpp
    dialogs/welcomedialog.h
    dialogs/welcomedialog.ui
    dialogs/issueassistantdialog.cpp
    dialogs/issueassistantdialog.h
    dialogs/issueassistantdialog.ui
    dialogs/aboutdialog.cpp
    dialogs/aboutdialog.h
    dialogs/aboutdialog.ui
    dialogs/linkdialog.cpp
    dialogs/linkdialog.h
    dialogs/linkdialog.ui
    dialogs/notediffdialog.cpp
    dialogs/notediffdialog.h
    dialogs/notediffdialog.ui
    dialogs/textdiffdialog.cpp
    dialogs/textdiffdialog.h
    dialogs/textdiffdialog.ui
    dialogs/settingsdialog.cpp
    dialogs/settingsdialog.h
    dialogs/settingsdialog.ui
    dialogs/tododialog.cpp
    dialogs/tododialog.h
    dialogs/tododialog.ui
    dialogs/trashdialog.cpp
    dialogs/trashdialog.h
    dialogs/trashdialog.ui
    dialogs/localtrashdialog.cpp
    dialogs/localtrashdialog.h
    dialogs/localtrashdialog.ui
    dialogs/nextclouddeckdialog.cpp
    dialogs/nextclouddeckdialog.h
    dialogs/nextclouddeckdialog.ui
    dialogs/updatedialog.cpp
    dialogs/updatedialog.h
    dialogs/updatedialog.ui
    dialogs/versiondialog.cpp
    dialogs/versiondialog.h
    dialogs/versiondialog.ui
    dialogs/passworddialog.cpp
    dialogs/passworddialog.h
    dialogs/passworddialog.ui
    dialogs/masterdialog.cpp
    dialogs/masterdialog.h
    dialogs/tagadddialog.cpp
    dialogs/tagadddialog.h
    dialogs/tagadddialog.ui
    dialogs/sharedialog.cpp
    dialogs/sharedialog.h
    dialogs/sharedialog.ui
    dialogs/evernoteimportdialog.cpp
    dialogs/evernoteimportdialog.h
    dialogs/evernoteimportdialog.ui
    dialogs/joplinimportdialog.cpp
    dialogs/joplinimportdialog.h
    dialogs/joplinimportdialog.ui
    dialogs/serverbookmarksimportdialog.cpp
    dialogs/serverbookmarksimportdialog.h
    dialogs/serverbookmarksimportdialog.ui
    dialogs/storedimagesdialog.cpp
    dialogs/storedimagesdialog.h
    dialogs/storedimagesdialog.ui
    dialogs/storedattachmentsdialog.cpp
    dialogs/storedattachmentsdialog.h
    dialogs/storedattachmentsdialog.ui
    dialogs/scriptrepositorydialog.cpp
    dialogs/scriptrepositorydialog.h
    dialogs/scriptrepositorydialog.ui
    dialogs/dictionarymanagerdialog.cpp
    dialogs/dictionarymanagerdialog.h
    dialogs/dictionarymanagerdialog.ui
    dialogs/actiondialog.cpp
    dialogs/actiondialog.h
    dialogs/actiondialog.ui
    dialogs/tabledialog.cpp
    dialogs/tabledialog.h
    dialogs/tabledialog.ui
    dialogs/notedialog.cpp
    dialogs/notedialog.h
    dialogs/notedialog.ui
    dialogs/websockettokendialog.cpp
    dialogs/websockettokendialog.h
    dialogs/websockettokendialog.ui
    dialogs/imagedialog.cpp
    dialogs/imagedialog.h
    dialogs/imagedialog.ui
    dialogs/commandbar.cpp
    dialogs/commandbar.h
    dialogs/attachmentdialog.cpp
    dialogs/attachmentdialog.h
    dialogs/attachmentdialog.ui
    dialogs/filedialog.cpp
    dialogs/filedialog.h
    models/commandmodel.cpp
    models/commandmodel.h
    entities/calendaritem.cpp
    entities/calendaritem.h
    entities/note.cpp
    entities/note.h
    entities/trashitem.cpp
    entities/trashitem.h
    entities/notesubfolder.cpp
    entities/notesubfolder.h
    entities/notehistory.cpp
    entities/notehistory.h
    entities/notefolder.cpp
    entities/notefolder.h
    entities/cloudconnection.cpp
    entities/cloudconnection.h
    entities/tag.cpp
    entities/tag.h
    entities/script.cpp
    entities/script.h
    helpers/flowlayout.cpp
    helpers/flowlayout.h
    helpers/htmlentities.cpp
    helpers/htmlentities.h
    helpers/clientproxy.cpp
    helpers/clientproxy.h
    helpers/toolbarcontainer.cpp
    helpers/toolbarcontainer.h
    helpers/qownnotesmarkdownhighlighter.cpp
    helpers/qownnotesmarkdownhighlighter.h
    helpers/LanguageCache.h
    helpers/qownspellchecker.cpp
    helpers/qownspellchecker.h
    helpers/codetohtmlconverter.cpp
    helpers/codetohtmlconverter.h
    helpers/nomenuiconstyle.cpp
    helpers/nomenuiconstyle.h
    api/noteapi.cpp
    api/noteapi.h
    api/notesubfolderapi.cpp
    api/notesubfolderapi.h
    api/tagapi.cpp
    api/tagapi.h
    api/scriptapi.cpp
    api/scriptapi.h
    libraries/qmarkdowntextedit/linenumberarea.h
    libraries/qmarkdowntextedit/qownlanguagedata.cpp
    libraries/qmarkdowntextedit/qownlanguagedata.h
    libraries/qmarkdowntextedit/markdownhighlighter.cpp
    libraries/qmarkdowntextedit/markdownhighlighter.h
    libraries/qmarkdowntextedit/qmarkdowntextedit.cpp
    libraries/qmarkdowntextedit/qmarkdowntextedit.h
    libraries/qmarkdowntextedit/qplaintexteditsearchwidget.cpp
    libraries/qmarkdowntextedit/qplaintexteditsearchwidget.h
    libraries/qmarkdowntextedit/qplaintexteditsearchwidget.ui
    libraries/simplecrypt/simplecrypt.cpp
    libraries/simplecrypt/simplecrypt.h
    libraries/versionnumber/versionnumber.cpp
    libraries/versionnumber/versionnumber.h
    libraries/singleapplication/singleapplication.h
    libraries/singleapplication/singleapplication.cpp
    libraries/singleapplication/singleapplication_p.h
    libraries/singleapplication/singleapplication_p.cpp
    libraries/qttoolbareditor/src/toolbar_editor.cpp
    libraries/qttoolbareditor/src/toolbar_editor.hpp
    libraries/qttoolbareditor/src/toolbar_editor.ui
    libraries/qtcsv/src/include/qtcsv_global.h
    libraries/qtcsv/src/include/abstractdata.h
    libraries/qtcsv/src/include/reader.h
    libraries/qtcsv/src/sources/reader.cpp
    libraries/qtcsv/src/sources/filechecker.h
    libraries/qtcsv/src/sources/symbols.h
    libraries/qtwaitingspinner/waitingspinnerwidget.h
    libraries/qtwaitingspinner/waitingspinnerwidget.cpp
    services/databaseservice.cpp
    services/databaseservice.h
    services/owncloudservice.cpp
    services/owncloudservice.h
    services/nextclouddeckservice.cpp
    services/nextclouddeckservice.h
    services/updateservice.cpp
    services/updateservice.h
    services/metricsservice.cpp
    services/metricsservice.h
    services/cryptoservice.cpp
    services/cryptoservice.h
    services/scriptingservice.cpp
    services/scriptingservice.h
    services/openaiservice.cpp
    services/openaiservice.h
    services/markdownlspclient.cpp
    services/markdownlspclient.h
    services/settingsservice.cpp
    services/settingsservice.h
    libraries/piwiktracker/piwiktracker.h
    libraries/piwiktracker/piwiktracker.cpp
    libraries/qkeysequencewidget/qkeysequencewidget/src/qkeysequencewidget_p.h
    libraries/qkeysequencewidget/qkeysequencewidget/src/qkeysequencewidget.h
    libraries/qkeysequencewidget/qkeysequencewidget/src/qkeysequencewidget.cpp
    libraries/sonnet/src/core/backgroundchecker.cpp
    libraries/sonnet/src/core/backgroundchecker.h
    libraries/sonnet/src/core/backgroundchecker_p.h
    libraries/sonnet/src/core/client.cpp
    libraries/sonnet/src/core/client_p.h
    libraries/sonnet/src/core/core_debug.cpp
    libraries/sonnet/src/core/core_debug.h
    libraries/sonnet/src/core/guesslanguage.cpp
    libraries/sonnet/src/core/guesslanguage.h
    libraries/sonnet/src/core/languagefilter.cpp
    libraries/sonnet/src/core/languagefilter_p.h
    libraries/sonnet/src/core/loader.cpp
    libraries/sonnet/src/core/loader_p.h
    libraries/sonnet/src/core/settings.cpp
    libraries/sonnet/src/core/settings_p.h

=== debian/changelog ===
qownnotes-dmo (26.2.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 28 Feb 2026 14:35:31 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: pbek
Project: QOwnNotes
